define([
        "dojo/_base/declare",
        "dojox/mvc/at",
        "dojox/mvc/getStateful",
        "aps/PopupView"
    ], function(declare, at, getStateful, PopupView) {
    var chargeReportModel;
    return declare(PopupView, {
        init: function(){

            chargeReportModel = getStateful({"report": {}});

            return [
                ["aps/Output", {
                    content: at(chargeReportModel, "report")
                }]
            ];
        },
        onContext: function() {
            var chargeReport = aps.context.params["report"];
            chargeReportModel.set(
                "report", //JSON.stringify(JSON.parse(chargeReport), null, 2));
                JSON.stringify(JSON.parse(chargeReport), null, '\t').replace(/\n/gi, '<br>').replace(/\t/gi, '&nbsp;&nbsp;&nbsp;&nbsp;')
            );
            aps.apsc.hideLoading();
        }
});
});